package de.ims.cl.dv.datastructures;

public class PreliminaryEdge {
    Integer from;
    Integer to;
    String  rel;

    public Edge constructProperEdge(Graph g) {
        Node fromNode = g.getNode(from);
        Node toNode   = g.getNode(to);
        return new Edge(fromNode, toNode, rel);
    }

    Integer getFrom() {return from;}
    Integer getTo()   {return to;}
    String  getRel()  {return rel;}

    public PreliminaryEdge(Integer from, Integer to, String rel) {
        this.from = from;
        this.to   = to;
        this.rel  = rel;
    }
    
}